<?php
// session_start();
// include 'db.php';

// $userId = 33; 

$userQuery = "SELECT `id`, `name`, `phone`, `reference_number`, `my_number`, `created_at`, `total_balance`, `approved` FROM `MLM_users` WHERE `id` = $userId";
$userResult = $conn->query($userQuery);
$userData = $userResult->fetch_assoc();

$walletQuery = "SELECT `id`, `user_id`, `amount`, `description`, `created_at`, `wallet_type` 
                FROM `wallet_transactions` 
                WHERE `user_id` = $userId AND `created_at` >= NOW() - INTERVAL 7 DAY 
                ORDER BY `created_at` ASC";
$walletResult = $conn->query($walletQuery);

$transactions = [];
$totalWithdrawals = 0;
$dailyBalances = [];
$totalBalance = $userData['total_balance']; 
if ($walletResult->num_rows > 0) {
    while ($row = $walletResult->fetch_assoc()) {
        $transactions[] = $row;
        if ($row['amount'] < 0) {
            $totalWithdrawals += abs($row['amount']);
        }
    }
}

// Fetch referred users
$referredQuery = "SELECT COUNT(*) AS referred_count FROM `MLM_users` WHERE `reference_number` = '{$userData['my_number']}'";
$referredResult = $conn->query($referredQuery);
$referredCount = $referredResult->fetch_assoc()['referred_count'];

// Prepare variables for the chart
$cumulativeBalance = 0;
$days = [];
$cumulativeBalances = [];
$cumulativeWithdrawals = [];

for ($i = 6; $i >= 0; $i--) {
    $day = date('Y-m-d', strtotime("-$i days"));
    $days[] = $day;
    $balanceForDay = 0;
    $withdrawalsForDay = 0;

    foreach ($transactions as $transaction) {
        if (date('Y-m-d', strtotime($transaction['created_at'])) == $day) {
            $balanceForDay += $transaction['amount'];
            if ($transaction['amount'] < 0) {
                $withdrawalsForDay += abs($transaction['amount']);
            }
        }
    }

    $cumulativeBalance += $balanceForDay;
    $cumulativeBalances[] = $cumulativeBalance;  
    $cumulativeWithdrawals[] = $withdrawalsForDay;
}
?>


    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>

    <div class="section mt-4"><div class="row gy-4">
    <div class="col-lg-12">
        <div class="card">
            <canvas id="walletChart" width="400" height="200" style="padding: 40px;"></canvas>
        </div>
    </div>
</div>
</div>


<script>
    var totalBalance = <?php echo $totalBalance; ?>;
    var totalWithdrawals = <?php echo $totalWithdrawals; ?>;
    var referredCount = <?php echo $referredCount; ?>;

    var labels = <?php echo json_encode($days); ?>; // Last 7 days
    var cumulativeBalances = <?php echo json_encode($cumulativeBalances); ?>; // Cumulative balances over 7 days
    var cumulativeWithdrawals = <?php echo json_encode($cumulativeWithdrawals); ?>; // Cumulative withdrawals over 7 days

    var ctx = document.getElementById('walletChart').getContext('2d');
    var walletChart = new Chart(ctx, {
        type: 'line',
        data: {
            labels: labels, // Last 7 days
            datasets: [
                {
                    label: 'Total Balance',
                    data: cumulativeBalances, // Cumulative balance for each of the last 7 days
                    fill: false,
                    borderColor: 'rgba(75, 192, 192, 1)', // Color for total balance
                    backgroundColor: 'rgba(75, 192, 192, 0.2)', 
                    borderWidth: 3,
                    stepped: false
                },
                {
                    label: 'Total Withdrawals',
                    data: cumulativeWithdrawals, // Cumulative withdrawals for each of the last 7 days
                    fill: false,
                    borderColor: 'rgba(255, 99, 132, 1)', // Color for withdrawals
                    backgroundColor: 'rgba(255, 99, 132, 0.2)',
                    borderWidth: 3,
                    stepped: false
                },
                {
                    label: 'Users Referred by You',
                    data: Array(7).fill(referredCount), // Static value for referred users for the past 7 days
                    fill: false,
                    borderColor: 'rgba(54, 162, 235, 1)', // Color for referred users
                    backgroundColor: 'rgba(54, 162, 235, 0.2)',
                    borderWidth: 3,
                    stepped: false
                }
            ]
        },
        options: {
            scales: {
                x: {
                    title: {
                        display: true,
                        text: 'Last 7 Days' // X-axis title
                    },
                    ticks: {
                        callback: function(value, index, values) {
                            const options = { weekday: 'long' }; // Show day of the week
                            return new Date(labels[index]).toLocaleDateString('en-US', options);
                        }
                    }
                },
                y: {
                    beginAtZero: true, // Start Y-axis at zero
                    title: {
                        display: true,
                        text: 'Values' // Y-axis title
                    }
                }
            },
            plugins: {
                legend: {
                    display: true // Show legend for different metrics
                }
            }
        }
    });
</script>
