<?php
session_start(); // Ensure session is started

// Check if user_id is set in session
if (!isset($_SESSION['user_id'])) {
    header("Location: login.php"); // Redirect to login page if not logged in
    exit();
}

include 'db.php';

$mlmUserId = $_SESSION['user_id'];
$sql_user = "SELECT name, my_number FROM MLM_users WHERE id = ?";
$userStmt = $conn->prepare($sql_user);
$userStmt->bind_param("i", $mlmUserId);
$userStmt->execute();
$result_user = $userStmt->get_result();

if ($result_user->num_rows > 0) {
    $user = $result_user->fetch_assoc();
    $user_name = $user['name'];
    $my_number = $user['my_number'];

    // Display user info
    // echo "User found: $user_name, Number: $my_number";
} else {
    // Agar user nahi mila toh login.php par redirect karein
    header("Location: login.php"); 
    exit();
}
?>

<html lang="en" >

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1, viewport-fit=cover" />
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
    <meta name="theme-color" content="#000000">
    <title>Balaji Engo</title>
    <meta name="description" content="Finapp HTML Mobile Template">
    <meta name="keywords" content="bootstrap, wallet, banking, fintech mobile template, cordova, phonegap, mobile, html, responsive" />
    <link rel="icon" type="image/png" href="assets/img/favicon.png" sizes="32x32">
    <link rel="apple-touch-icon" sizes="180x180" href="assets/img/icon/192x192.png">
    <link rel="stylesheet" href="assets/css/style.css">
    <link rel="manifest" href="__manifest.json">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
</head>

<body>

    <!-- loader -->
    <!-- <div id="loader">
        <img src="assets/img/loading-icon.png" alt="icon" class="loading-icon">
    </div> -->
    <!-- * loader -->

    <!-- App Header -->
    <div class="appHeader bg-primary text-light">
        <div class="left" >
            <a href="#" class="headerButton" data-bs-toggle="modal" data-bs-target="#sidebarPanel">
                <ion-icon name="menu-outline" style="position: fixed;" ></ion-icon>
            </a>
        </div>
        <div class="pageTitle">
                        <a href="index.php">
            <img src="assets/img/logo.png" alt="logo" class="logo">
            </a>
        </div>
        <div class="right">
            <a href="view-profile.php" class="headerButton">
                <img src="assets/img/sample/avatar/avatar1.jpg" alt="image" class="imaged w32">
            </a>
        </div>
    </div>
    <!-- * App Header -->
    
    <div class="modal fade panelbox panelbox-left" id="sidebarPanel" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-body p-0">
                <!-- profile box -->
                <div class="profileBox pt-2 pb-2">
                    <div class="image-wrapper">
                        <img src="assets/img/dark.png" alt="image" style=" width: 40px">
                    </div>

                    <div class="in">
                        <strong><?php echo $user_name; ?></strong>
                        <div class="text-muted"><?php echo $my_number; ?></div> <!-- Display user's my_number -->
                    </div>
                    <a href="#" class="btn btn-link btn-icon sidebar-close" data-bs-dismiss="modal">
                        <ion-icon name="close-outline"></ion-icon>
                    </a>
                </div>
                <!-- * profile box -->

                <!-- balance -->
                <div class="sidebar-balance">
                    <div class="listview-title">Total Balance</div>
                    <div class="in">
                        <h1 class="amount">$ <?php echo number_format($total_balance, 2); ?></h1> <!-- Show total balance -->
                    </div>
                </div>
                <!-- * balance -->

                <!-- menu -->
                <div class="listview-title mt-1">Menu</div>
                <ul class="listview flush transparent no-line image-listview">
                    <li>
                        <a href="index.php" class="item">
                            <div class="icon-box bg-primary">
                                <ion-icon name="apps-outline"></ion-icon>
                            </div>
                            <div class="in">
                                Dashboard
                            </div>
                        </a>
                    </li>
                 <li>
                        <a href="adduser.php" class="item">
                            <div class="icon-box bg-primary">
                                <ion-icon name="cash-outline"></ion-icon>
                            </div>
                            <div class="in">
                                Add User
                            </div>
                        </a>
                    </li>
                    <li>
                        <a href="reference-by.php" class="item">
                            <div class="icon-box bg-primary">
                                <ion-icon name="code-working-outline"></ion-icon>
                            </div>
                            <div class="in">
                                Reference By
                                <span class="badge badge-primary"></span>
                            </div>
                        </a>
                    </li>
                    <li>
                        <a href="transactions.php" class="item">
                            <div class="icon-box bg-primary">
                                <ion-icon name="cash-outline"></ion-icon>
                            </div>
                            <div class="in">
                                Transaction
                            </div>
                        </a>
                    </li>
                    <li>
                        <a href="wallet.php" class="item">
                            <div class="icon-box bg-primary">
                                <ion-icon name="wallet-outline"></ion-icon>
                            </div>
                            <div class="in">
                                Wallet
                            </div>
                        </a>
                    </li>
                    <li>
                        <a href="withdrawals_req.php" class="item">
                            <div class="icon-box bg-primary">
                                <ion-icon name="cash-outline"></ion-icon>
                            </div>
                            <div class="in">
                                Withdrawal Requests
                            </div>
                        </a>
                    </li>
                    
                    
                    <li>
                        <a href="view-profile.php" class="item">
                            <div class="icon-box bg-primary">
                                <ion-icon name="person-outline"></ion-icon>
                            </div>
                            <div class="in">
                                View Profile
                            </div>
                        </a>
                    </li>
                    <li>
    <a href="logout.php" class="item">
        <div class="icon-box bg-danger">
            <ion-icon name="log-out-outline"></ion-icon>
        </div>
        <div class="in">
            Logout
        </div>
    </a>
</li>

                </ul>
                <!-- * menu -->

            </div> <!-- Close modal-body -->
        </div> <!-- Close modal-content -->
    </div> <!-- Close modal-dialog -->
</div>


  
  
  