<?php
session_start(); 

include 'db.php'; 
include 'header.php';

if (!isset($_SESSION['mlm_user_id'])) {
    echo "You are not logged in.";
    exit;
}

$mlmUserId = $_SESSION['mlm_user_id']; 

$query = "SELECT `id`, `name`, `phone`, `reference_number`, `my_number`, `created_at`, `approved` FROM `MLM_users` WHERE `id` = ?";
$stmt = $conn->prepare($query);
$stmt->bind_param("i", $mlmUserId);
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows > 0) {
    $user = $result->fetch_assoc();
    $referenceUserId = $user['reference_number'];
} else {
    echo "No user found with the provided ID.";
    exit;
}

$samePhoneQuery = "SELECT `id`, `name`, `phone` FROM `MLM_users` WHERE `phone` = ? AND `id` != ?";
$samePhoneStmt = $conn->prepare($samePhoneQuery);
$samePhoneStmt->bind_param("si", $user['phone'], $mlmUserId);
$samePhoneStmt->execute();
$samePhoneResult = $samePhoneStmt->get_result();
$samePhoneUsers = $samePhoneResult->fetch_all(MYSQLI_ASSOC);

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['switch_user_id'])) {
    $newUserId = intval($_POST['switch_user_id']);
    $_SESSION['mlm_user_id'] = $newUserId; 
    exit;
}
?>

<div id="appCapsule">

<div class="section wallet-card-section pt-10" style="padding: 70px 20px;">
    <div class="wallet-card">
        <div class="balance" style="display: flex; flex-direction: row; flex-wrap: wrap;">
<div class="left pt-20" style="flex: 1; min-width: 300px; ">
                <?php if ($user['approved'] == 1) { ?>
                    <div class="balance-section">
                        <div class="user-details">
                            <span class="title">Welcome, <?php echo htmlspecialchars($user['name']); ?>!</span>
                            <p class="text-muted">Reference Number: <strong><?php echo htmlspecialchars($user['reference_number']); ?></strong></p>
                        </div>
                    </div>
                <?php } else { ?>
                    <h4 class="title">Account Status: Pending</h5>
                    <p class="text-danger">
                        Your registration was successful, but your account is pending approval. 
                        Please deposit ₹300 to 6353818433 and send a screenshot for approval.
                    </p>
                <?php } ?>
            </div>
            <br>
            
        </div>
    </div>
</div>
</div>

<?php include 'footer.php'; ?>
