<?php
if (session_status() == PHP_SESSION_NONE) {
    session_start();
}


include 'db.php'; 

$admin_id = $_SESSION['id'];
$query = "SELECT admin_type FROM admin WHERE id = ?";
$stmt = $conn->prepare($query);
$stmt->bind_param("i", $admin_id);
$stmt->execute();
$result = $stmt->get_result();

$admin_type = $result->num_rows > 0 ? $result->fetch_assoc()['admin_type'] : null;
?>

<aside class="sidebar">
    <button type="button" class="sidebar-close-btn">
        <iconify-icon icon="radix-icons:cross-2"></iconify-icon>
    </button>
    <div>
        <a href="index.php" class="sidebar-logo">
            <img src="../admin/assets/images/mlm.webp" alt="site logo" class="light-logo">
            <img src="../admin/assets/images/favicon.webp" alt="site logo" class="logo-icon">
            </a>
    </div>
    <div class="sidebar-menu-area">
        <ul class="sidebar-menu" id="sidebar-menu">
        <?php if ($admin_type == 1): ?>

            <li class="sidebar-menu-group-title">
                <a href="index.php">
                    <iconify-icon icon="ri:dashboard-line" class="menu-icon"></iconify-icon>
                    <span>Dashboard</span>
                </a>
            </li>

                <li>
                    <a href="users-list.php">
                        <iconify-icon icon="flowbite:users-group-outline" class="menu-icon"></iconify-icon>
                        <span>Users List</span>
                    </a>
                </li>
                <li>
                    <a href="add-user.php">
                        <iconify-icon icon="flowbite:users-outline" class="menu-icon"></iconify-icon>
                        <span>Add User</span>
                    </a>
                </li>
                <li>
                    <a href="tree-view.php">
                        <iconify-icon icon="bi:tree" class="menu-icon"></iconify-icon>
                        <span>Tree Views</span>
                    </a>
                </li>
                <li>
                    <a href="wallet.php">
                        <iconify-icon icon="ri:wallet-3-line" class="menu-icon"></iconify-icon>
                        <span>Wallet Transactions</span>
                    </a>
                </li>
                <li>
                    <a href="withdrawals.php">
                        <iconify-icon icon="ri:money-dollar-circle-line" class="menu-icon"></iconify-icon>
                        <span>Withdrawals</span>
                    </a>
                </li>
                <li>
                    <a href="withdrawals_req.php">
                        <iconify-icon icon="ri:exchange-cny-line" class="menu-icon"></iconify-icon>
                        <span>Withdrawals Request</span>
                    </a>
                </li>
                <li>
                    <a href="new-admin.php">
                        <iconify-icon icon="ri:add-box-line" class="menu-icon"></iconify-icon>
                        <span>New Admin</span>
                    </a>
                </li>
                <li>
                    <a href="admin-list.php">
                        <iconify-icon icon="ri:team-line" class="menu-icon"></iconify-icon>
                        <span>Admin List</span>
                    </a>
                </li>
            <?php endif; ?>

            <?php if ($admin_type == 2): ?>
                <li>
                    <a href="users-list.php">
                        <iconify-icon icon="flowbite:users-group-outline" class="menu-icon"></iconify-icon>
                        <span>Users List</span>
                    </a>
                </li>
            <?php endif; ?>

            <li>
                <a href="view-profile.php">
                    <iconify-icon icon="ri:user-line" class="menu-icon"></iconify-icon>
                    <span>View Profile</span>
                </a>
            </li>
        </ul>
    </div>
</aside>

<style>
.sidebar-menu a {
    display: flex; 
    align-items: center; 
}

.sidebar.active .sidebar-menu a span {
    display: none; 
}

.sidebar:not(.active) .sidebar-menu a span {
    display: inline;
}

.sidebar-menu a iconify-icon {
    margin-right: 8px; 
}

</style>

<script>
document.querySelector('.sidebar-close-btn').addEventListener('click', function() {
    document.querySelector('.sidebar').classList.toggle('active');
});
</script>
