<?php 

error_reporting(E_ALL);
ini_set('display_errors', 1);
session_start();

if (!isset($_SESSION['id'])) {
    header("Location: index.php");
    exit;
}

include 'db.php';


include 'header.php'; ?>

<div class="dashboard-main-body">
    <div class="d-flex flex-wrap align-items-center justify-content-between gap-3 mb-24">
        <h6 class="fw-semibold mb-0">Wallet Transaction</h6>
        <ul class="d-flex align-items-center gap-2">
            <li class="fw-medium">
                <a href="index.php" class="d-flex align-items-center gap-1 hover-text-primary">
                    <iconify-icon icon="solar:home-smile-angle-outline" class="icon text-lg"></iconify-icon>
                    Wallet Transaction
                </a>
            </li>
            <li>-</li>
            <li class="fw-medium"> Wallet Transaction</li>
        </ul>
    </div>
    
    <div class="card basic-data-table">
        <div class="card-body">
            <div class="table-responsive"> <!-- Added div for scrolling -->
                <table class="table bordered-table mb-0" id="dataTable" data-page-length='10'>
                    <thead>
                        <tr>
                            <th scope="col">S.L</th>
                            <th scope="col">Id</th>
                            <th scope="col">Transaction Type</th>
                            <th scope="col">User id</th>
                            <th scope="col">Amount</th>
                            <th scope="col">Description</th>
                            <th scope="col">Issued Date</th>
                            <th scope="col">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php

                    include 'db.php';

                    

                    // SQL query to fetch all transactions
                    $sql = "SELECT id, user_id, amount, description, created_at, wallet_type FROM wallet_transactions";
                    $result = $conn->query($sql);

                    if ($result->num_rows > 0) {
                        $index = 1;
                        while ($transaction = $result->fetch_assoc()) {
                            // Assuming 'user_id' maps to 'name' which you can fetch from another table
                            $user_name = "User Name"; // Fetch user name using $transaction['user_id'] if needed
                            echo "<tr>
                                    <td>
                                        <div class='form-check style-check d-flex align-items-center'>
                                            <input class='form-check-input' type='checkbox'>
                                            <label class='form-check-label'>$index</label>
                                        </div>
                                    </td>
                                    <td><a href='javascript:void(0)' class='text-primary-600'>#" . htmlspecialchars($transaction['id']) . "</a></td>
                                    <td>";
                                        if ($transaction['wallet_type'] === 'add') {
                                            echo "<span class='bg-success-focus text-success-main px-24 py-4 rounded-pill fw-medium text-sm'>Add</span>";
                                        } elseif ($transaction['wallet_type'] === 'withdrawal') {
                                            echo "<span class='bg-warning-focus text-warning-main px-24 py-4 rounded-pill fw-medium text-sm'>Withdrawal</span>";
                                        }
                            echo "</td>
                                    <td>" . htmlspecialchars($transaction['user_id']) . "</td>
                                    <td>" . htmlspecialchars($transaction['amount']) . "</td>
                                    <td>" . htmlspecialchars($transaction['description']) . "</td>
                                    <td>" . date('d M Y', strtotime($transaction['created_at'])) . "</td>
                                    <td>
                                        <a href='view-wallet.php?user_id=" . htmlspecialchars($transaction['user_id']) . "' class='w-32-px h-32-px bg-primary-light text-primary-600 rounded-circle d-inline-flex align-items-center justify-content-center'>
                                          <iconify-icon icon='iconamoon:eye-light'></iconify-icon>
                                         </a>
                                    </td>
                                  </tr>";
                            $index++;
                        }
                    } else {
                        echo "<tr><td colspan='8'>No transactions found.</td></tr>";
                    }

                    // Close connection
                    $conn->close();
                    ?>
                    </tbody>
                </table>
            </div> <!-- End of table-responsive -->
        </div>
    </div>
</div>

<?php include 'footer.php'; ?>

<style>
.table {
    width: 100%; /* Ensure the table takes the full width */
    min-width: 800px; /* Minimum width to ensure scrolling works */
}

.table-bordered {
    border-collapse: collapse; /* Ensures proper borders */
}

.table-bordered th, .table-bordered td {
    border: 1px solid #dee2e6; /* Add a border to table cells */
}

.table-responsive {
    overflow-x: auto; /* Enable horizontal scrolling */
}
</style>
